import {computed} from "vue";

export default {
    props: {
        color: {
            type: String,
            default: '#333'
        },
        size: {
            type: Number,
            default: 18
        }
    },
    setup(props) {
        const sizeStyle = computed(() => {
            if (props.size) {
                return {
                    width: props.size + 'px',
                    height: props.size + 'px'
                }

            }
            return {}
        })
        return {
            currentColor: props.color,
            sizeStyle,
        }
    }
}