import {createApp} from 'vue';
import {createPinia} from 'pinia'

import App from './App.vue'
import router from './router'
import {httpConfig} from "./util/http";
import './assets/app.less'
import PInput from "./components/input";
import clickOutside from "./directive/click_outside";

httpConfig.baseURL = "http://localhost:8080"

const app = createApp(App)
// 使用路由
app.use(router)
app.use(createPinia());
app.component('PInput',PInput)
app.directive('click-outside',clickOutside)
// 将应用实例挂载到 模板中
app.mount('#vue-root-app')