import {RouteRecordRaw} from "vue-router";
import Home from '../views/admin/Home.vue'
import Login from '../views/Login.vue'
import NotFound from '../views/NotFound.vue'
import Test from '../views/Test.vue'
import AdminLayout from '../views/layout/AdminLayout.vue'
import UserIndex from '../views/user/index.vue'
import GoodsIndex from '../views/goods/index.vue'
import OrderIndex from '../views/goods/Order.vue'

export const AdminRoutes: RouteRecordRaw[] = [
    {
        path: 'home',
        name: 'Home',
        component: Home,
        meta: {
            title: 'Home'
        }
    },
    {
        path: 'user',
        name: 'UserIndex',
        component: UserIndex,
        meta: {
            title: '用户管理'
        }
    },
    {
        path: 'goods',
        name: 'GoodsIndex',
        component: GoodsIndex,
        meta: {
            title: '商品管理'
        }
    },
    {
        path: 'order',
        name: 'OrderIndex',
        component: OrderIndex,
        meta: {
            title: '订单管理'
        }
    },
    {
        path: 'test',
        name: 'TestIndex',
        component: Test,
        meta: {
            title: '测试页'
        }
    }
]

const routes: RouteRecordRaw[] = [
    {
        path: '/',
        component: AdminLayout,
        redirect: '/home',
        children: AdminRoutes
    },
    {
        path: '/login',
        component: Login
    },
    {
        path: '/:pathMatch(.*)*',
        component: NotFound
    }
]


export default routes