package me.xiaoyan.point.api.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import me.xiaoyan.point.api.pojo.Goods;
import me.xiaoyan.point.api.pojo.vo.PageParam;
import me.xiaoyan.point.api.service.GoodsService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
/**
 * 积分商城
 * Create by callmeyan
 * @module demo/point_sys_api/shop
 * @folder demo/point_sys_api/api
 */
@RestController
@RequestMapping("shop/goods")
public class ShopGoodsController {
    @Resource
    private GoodsService goodsService;

    /**
     * 根据分类查询商品
     * @status released
     * @folder demo/point_sys_api/api/goods
     * @param category 分类编号
     * @param page 查询页
     * @param pageSize 每页条数
     * @return
     */
    @GetMapping("query")
    public Page<Goods> query(
            int category,
            int page,
            int pageSize
    ) {
        return goodsService.queryByPage(category, Page.of(page, pageSize));
    }
}
