package me.xiaoyan.point.api.error;

import lombok.Data;

/**
 * 自定义的业务异常类
 */
@Data
public class BizException extends RuntimeException {
    private int code;

    private BizException(int code, String message) {
        super(message);
        this.code = code;
    }

    public static BizException create(String message) {
        return new BizException(-1, message);
    }

    public static BizException create(int code, String message) {
        return new BizException(code, message);
    }

    public static BizException saveFail() {
        return create(1022, "保存失败");
    }

    public static BizException paramError(String message) {
        return create(1201, message);
    }

    public static BizException paramError() {
        return paramError("请求参数不正确");
    }
}