package me.xiaoyan.point.api.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 商品表
 * @TableName goods
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value ="goods")
public class Goods implements Serializable {
    /**
     * 商品编号
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商品类别(1:普通 2:精选 3:秒杀 4:抽奖)
     */
    private Integer category;

    /**
     * 商品类型(1:实物 2:虚拟)
     */
    private Integer type;

    /**
     * 
     */
    private String title;

    /**
     * 原价
     */
    private Integer originPrice;

    /**
     * 价格
     */
    private Integer price;

    /**
     * 库存数量
     */
    private Integer stock;

    /**
     * 购买最大数量(0表示不限制)
     */
    private Integer limitCount;

    /**
     * 商品图
     */
    private String cover;

    /**
     * 描述
     */
    private String description;

    /**
     * 提示
     */
    private String notice;

    /**
     * 上架时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date onlineTime;

    /**
     * 下架时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date offlineTime;

    /**
     * 
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 
     */
    private Integer status;
}