package me.xiaoyan.point.api.pojo;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 订单表(OrderInfo)表实体类
 *
 * @author makejava
 * @since 2022-11-24 09:32:42
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "order_info")
public class OrderInfo {
    @TableId
    //订单编号
    private String id;
    //商品编号
    private Long gid;
    private String orderTitle;
    //价格
    private Integer price;
    //购买数量
    private Integer count;
    //用户编号
    private Integer uid;
    //订单数据
    private String data;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    //订单状态(0:已删除 1:已取消 2:待确认 3:已完成)
    private Integer status;
    @TableField(exist = false)
    private UserInfo owner;
    @TableField(exist = false)
    private Goods goods;
}

