package me.xiaoyan.point.api.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@Accessors(chain = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("userinfo")
public class UserInfo implements Serializable {
    /**
     * 用户id
     */
    @TableId(type = IdType.AUTO)
    @NotNull
    private Integer id;
    /**
     * 微信openid
     */
    private String openId;
    /**
     * 昵称
     */
    private String nickname;
    /**
     * 投下给你
     */
    private String headImage;
    /**
     * 性别
     */
    private Integer gender;
    /**
     * 省份
     */
    private String province;
    /**
     * 城市
     */
    private String city;
    /**
     * 推荐人ID
     */
    private Integer parentId;
    /**
     * 第一次登录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstLoginTime;
    private Date updateTime;
    /**
     * 状态
     */
    private Integer status;
    @TableField(exist = false)
    private Point pointInfo;
    @TableField(exist = false)
    private UserInfo parent;
}
