package me.xiaoyan.point.api.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import me.xiaoyan.point.api.error.BizException;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class ApiResult implements Serializable {
    /**
     * 响应码,0为正常，其他均不正确
     */
    private int code;
    /**
     * 响应消息,code不为0时的具体错误消息
     */
    private String message;
    /**
     * 具体的响应数据
     */
    private Object data;
    private long traceId;

    public static ApiResult success(Object data) {
        return new ApiResult(0, "success", data,0);
    }

    public static ApiResult error(int code, String message) {
        return new ApiResult(code, message, null,0);
    }

    public static ApiResult error(BizException e) {
        return new ApiResult(e.getCode(), e.getMessage(), null,0);
    }
}
