package me.xiaoyan.point.api.pojo.dto;

import lombok.*;
import lombok.experimental.Accessors;
import me.xiaoyan.point.api.pojo.UserInfo;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class WechatUserInfo implements Serializable {
    private String openId;
    private String unionId;
    private String avatarUrl;
    private String nickName;
    private Integer gender;
    private String city;
    private String province;
    private String country;

    public UserInfo getUserinfo() {
        return UserInfo.builder()
                .province(province).city(city)
                .nickname(nickName)
                .headImage(avatarUrl)
                .openId(openId)
                .build();
    }
}
