package me.xiaoyan.point.api.pojo.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PageDataResult<T> implements Serializable {
    private List<T> items;
    private long total;

    public static PageDataResult convert(Page result) {
        return PageDataResult.builder()
                .items(result.getRecords())
                .total(result.getTotal())
                .build();
    }
}
