package me.xiaoyan.point.api.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UserAdminInfo implements Serializable {
    /**
     * 用户编号
     */
    private int id;
    /**
     * 账号
     */
    @NotEmpty(message = "账号不允许为空")
    private String account;
    /**
     * 密码
     */
    @NotEmpty(message = "密码不允许为空")
    private String password;
    /**
     * 登录信息凭证
     */
    private String token;
    public static UserAdminInfo create(int id,String acc,String pwd){
        return new UserAdminInfo(id,acc,pwd,null);
    }
}
