package me.xiaoyan.point.api.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import me.xiaoyan.point.api.pojo.Goods;
import me.xiaoyan.point.api.pojo.vo.GoodsQueryParam;
import me.xiaoyan.point.api.service.GoodsService;
import me.xiaoyan.point.api.mapper.GoodsMapper;
import me.xiaoyan.point.api.util.DataStatus;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 *
 */
@Service
public class GoodsServiceImpl extends ServiceImpl<GoodsMapper, Goods>
        implements GoodsService {

    @Override
    public Page<Goods> queryByPage(int category, Page page) {
        return this.getBaseMapper().queryByCategory(category, page);
    }

    @Override
    public Page<Goods> queryByPage(GoodsQueryParam param) {
        QueryWrapper q = new QueryWrapper();
        // 查询标题
        if (StringUtils.hasText(param.getTitle())) {
            q.eq("title", param.getTitle().trim());
        }
        if (param.getCategory() != null) {
            q.eq("category", param.getCategory());
        }
        // 不查询删除状态数据
        q.ne("status", DataStatus.DELETE);
        return getBaseMapper().selectPage(param.getPage(), q);
    }


    @Override
    public boolean deductStock(int id, int count) {
        return getBaseMapper().deductCount(id, count) == 1;
    }

    @Override
    public List<Goods> queryAllGoodsIdAndStock() {
        return getBaseMapper().queryAllGoodsIdAndStock();
    }

    @Override
    public Goods queryByTitle(String title) {
        if (!StringUtils.hasText(title)) {
            return null;
        }
        QueryWrapper q = new QueryWrapper();
        q.eq("title", title);
        return getOne(q);
    }
}




