package me.xiaoyan.point.api.util;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class OrderIdGenerator {
    private static AtomicInteger atomic = new AtomicInteger();
    private static SimpleDateFormat dateFormat = new SimpleDateFormat("yyMMddHHmmss");
    private static long prevTime = 0;

    public static String next() {
        long now = System.currentTimeMillis() / 1000;
        if (now > prevTime) {
            prevTime = now;
            atomic.set(0);
        }
        return dateFormat.format(new Date()) + String.format("%05d", atomic.addAndGet(1));
    }

    public static void main(String[] args) throws InterruptedException {
        for (int i = 0; i < 1000; i++) {
            System.out.println(next());
            Thread.sleep(1);
        }
    }
}
