package me.xiaoyan.point.api.util;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.util.StringUtils;

public class QueryWrapperUtil {
    private QueryWrapper q;

    private QueryWrapperUtil(QueryWrapper queryWrapper) {
        this.q = queryWrapper;
    }

    public static QueryWrapperUtil builder() {
        return new QueryWrapperUtil(new QueryWrapper());
    }

    public static QueryWrapperUtil builder(QueryWrapper queryWrapper) {
        return new QueryWrapperUtil(queryWrapper);
    }

    public QueryWrapperUtil eq(String column, String value) {
        if (StringUtils.hasText(value)) {
            q.eq(column, value);
        }
        return this;
    }
    public QueryWrapperUtil eq(String column, int value) {
        q.eq(column, value);
        return this;
    }

    public QueryWrapperUtil ne(String column, Object value) {
        q.ne(column, value);
        return this;
    }

    public QueryWrapperUtil le(String column, String value) {
        if (StringUtils.hasText(value)) {
            q.le(column, value);
        }
        return this;
    }

    public QueryWrapperUtil ge(String column, String value) {
        if (StringUtils.hasText(value)) {
            q.ge(column, value);
        }
        return this;
    }

    public QueryWrapper build() {
        return this.q;
    }
}
