
drop database points_sys;
create database points_sys;
use points_sys;
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for goods
-- ----------------------------
DROP TABLE IF EXISTS `goods`;
CREATE TABLE `goods`  (
                          `id` bigint(15) NOT NULL AUTO_INCREMENT,
                          `category` tinyint(2) NULL DEFAULT 1 COMMENT '商品类别(1:普通 2:精选 3:秒杀 4:抽奖)',
                          `type` tinyint(2) NULL DEFAULT 1 COMMENT '商品类型(1:实物 2:虚拟)',
                          `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                          `origin_price` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '原价',
                          `price` int(10) UNSIGNED NOT NULL COMMENT '价格',
                          `stock` int(10) UNSIGNED NOT NULL COMMENT '库存数量',
                          `limit_count` int(10) UNSIGNED NULL DEFAULT 1 COMMENT '购买最大数量(0表示不限制)',
                          `cover` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '商品图',
                          `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '描述',
                          `notice` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '提示',
                          `online_time` datetime(0) NOT NULL COMMENT '上架时间',
                          `offline_time` datetime(0) NOT NULL COMMENT '下架时间',
                          `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0),
                          `update_time` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0),
                          `status` tinyint(2) NULL DEFAULT 1,
                          PRIMARY KEY (`id`) USING BTREE,
                          INDEX `ix_title`(`title`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '商品表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of goods
-- ----------------------------
INSERT INTO `goods` VALUES (1, 1, 1, '安徽大米锅巴 非油炸手工柴火原味锅巴 ', 0, 5, 99, 0, 'https://m.360buyimg.com/mobilecms/s750x750_jfs/t1/211852/28/15135/312413/6235a37fEc6496443/de07faa29ece45ee.jpg', '储山 安徽大米锅巴 非油炸手工柴火原味锅巴 办公休闲零食小吃 250g/袋大米原味【小包试吃】', '嚼着吃，泡着吃吃法多样。日期新，新鲜现做，健康美食。', '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-24 11:27:37', '2022-12-09 11:40:09', 1);
INSERT INTO `goods` VALUES (2, 2, 1, '轻奢高档女装', 0, 100, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/103799/25/31581/57788/62e907f2E85845359/45e0568d42c9803d.jpg!q70.dpg.webp', '轻奢高档女装 半身裙2022春秋女韩版中裙百褶中长款A字裙水兵舞防走光裙子跳舞裙子 酒红色 M', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:49:53', '2022-12-09 11:29:11', 1);
INSERT INTO `goods` VALUES (3, 2, 1, '轻奢高档女装 半身裙2022春秋女韩版中裙', 0, 100, 100, 0, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/103799/25/31581/57788/62e907f2E85845359/45e0568d42c9803d.jpg!q70.dpg.webp', '轻奢高档女装 半身裙2022春秋女韩版中裙百褶中长款A字裙水兵舞防走光裙子跳舞裙子 酒红色 M', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:49:53', '2022-11-28 16:57:32', 1);
INSERT INTO `goods` VALUES (4, 2, 1, '半身裙2022春秋女韩版中裙', 0, 100, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/103799/25/31581/57788/62e907f2E85845359/45e0568d42c9803d.jpg!q70.dpg.webp', '轻奢高档女装 半身裙2022春秋女韩版中裙百褶中长款A字裙水兵舞防走光裙子跳舞裙子 酒红色 M', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:49:53', '2022-12-09 11:29:21', 1);
INSERT INTO `goods` VALUES (5, 1, 1, '微星（MSI） 微星Cubi-B171N8GL-009BCN迷你静音电脑', 0, 1600, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/354/20/1552/77109/5b939e1aE8318003c/b7d99e9173a51fa7.jpg', '微星（MSI） 微星Cubi-B171N8GL-009BCN迷你静音电脑PC主机BN6000处理器 准系统(不含内存硬盘)', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:52:11', '2022-11-28 16:57:32', 1);
INSERT INTO `goods` VALUES (6, 1, 1, '爱普生（EPSON）L4268墨仓式品质款', 0, 2600, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/83150/10/23413/112462/63776142E6818d77c/2721b6f0420b15d2.jpg', '爱普生（EPSON）L4268墨仓式品质款 彩色无线多功能一体机（打印复印扫描 wifi 自动双面）新旧包装随机发货', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:52:11', '2022-11-28 16:57:32', 1);
INSERT INTO `goods` VALUES (7, 1, 1, '微星（MSI） 微星Cubi-B171N8GL-009BCN迷你静音电脑', 0, 1600, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/354/20/1552/77109/5b939e1aE8318003c/b7d99e9173a51fa7.jpg', '微星（MSI） 微星Cubi-B171N8GL-009BCN迷你静音电脑PC主机BN6000处理器 准系统(不含内存硬盘)', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:52:11', '2022-11-28 16:57:32', 1);
INSERT INTO `goods` VALUES (8, 1, 1, '爱普生（EPSON）L4268墨仓式品质款', 0, 2600, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/83150/10/23413/112462/63776142E6818d77c/2721b6f0420b15d2.jpg', '爱普生（EPSON）L4268墨仓式品质款 彩色无线多功能一体机（打印复印扫描 wifi 自动双面）新旧包装随机发货', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:52:11', '2022-11-28 16:57:32', 1);
INSERT INTO `goods` VALUES (9, 1, 1, '微星（MSI） 微星Cubi-B171N8GL-009BCN迷你静音电脑', 0, 1600, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/354/20/1552/77109/5b939e1aE8318003c/b7d99e9173a51fa7.jpg', '微星（MSI） 微星Cubi-B171N8GL-009BCN迷你静音电脑PC主机BN6000处理器 准系统(不含内存硬盘)', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:52:11', '2022-11-28 16:57:32', 1);
INSERT INTO `goods` VALUES (10, 1, 1, '爱普生（EPSON）L4268墨仓式品质款', 0, 2600, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/83150/10/23413/112462/63776142E6818d77c/2721b6f0420b15d2.jpg', '爱普生（EPSON）L4268墨仓式品质款 彩色无线多功能一体机（打印复印扫描 wifi 自动双面）新旧包装随机发货', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:52:11', '2022-11-28 16:57:32', 1);
INSERT INTO `goods` VALUES (11, 1, 1, '微星（MSI） 微星Cubi-B171N8GL-009BCN迷你静音电脑', 0, 1600, 100, 1, 'https://img10.360buyimg.com/mobilecms/s360x360_jfs/t1/354/20/1552/77109/5b939e1aE8318003c/b7d99e9173a51fa7.jpg', '微星（MSI） 微星Cubi-B171N8GL-009BCN迷你静音电脑PC主机BN6000处理器 准系统(不含内存硬盘)', NULL, '2022-11-23 11:27:21', '2037-11-24 11:27:26', '2022-11-28 10:52:11', '2022-11-28 16:57:32', 1);
INSERT INTO `goods` VALUES (12, 1, 2, '111', 0, 100, 10, 1, 'https://m.360buyimg.com/mobilecms/s750x750_jfs/t1/211852/28/15135/312413/6235a37fEc6496443/de07faa29ece45ee.jpg', 'String', 'String', '2022-12-08 18:33:50', '2032-12-08 18:33:50', '2022-12-08 18:33:50', '2022-12-08 15:13:43', 0);
INSERT INTO `goods` VALUES (13, 1, 1, '接口测试1', 0, 1200, 100, 1, 'https://m.360buyimg.com/mobilecms/s750x750_jfs/t1/211852/28/15135/312413/6235a37fEc6496443/de07faa29ece45ee.jpg', '米饼', 'String', '2022-12-08 18:33:50', '2023-02-08 18:33:50', '2022-12-08 18:33:50', '2022-12-08 15:32:10', 1);
INSERT INTO `goods` VALUES (14, 1, 2, '接口测试', 0, 100, 10, 1, 'https://m.360buyimg.com/mobilecms/s750x750_jfs/t1/211852/28/15135/312413/6235a37fEc6496443/de07faa29ece45ee.jpg', 'String', 'String', '2022-12-08 18:33:50', '2042-12-08 18:33:50', '2022-12-08 18:33:50', '2022-12-08 18:33:50', 1);
INSERT INTO `goods` VALUES (15, 1, 2, '接口测试', 0, 100, 10, 1, 'https://m.360buyimg.com/mobilecms/s750x750_jfs/t1/211852/28/15135/312413/6235a37fEc6496443/de07faa29ece45ee.jpg', 'String', 'String', '2022-12-08 18:33:50', '2042-12-08 18:33:50', '2022-12-08 18:33:50', '2022-12-08 18:33:50', 1);
INSERT INTO `goods` VALUES (16, 1, 2, '接口测试', 0, 100, 10, 1, 'https://m.360buyimg.com/mobilecms/s750x750_jfs/t1/211852/28/15135/312413/6235a37fEc6496443/de07faa29ece45ee.jpg', 'String', 'String', '2022-12-08 18:33:50', '2072-12-08 18:33:50', '2022-12-08 18:33:50', '2022-12-08 18:33:50', 1);
INSERT INTO `goods` VALUES (17, 1, 1, 'String', 0, 10, 1, 1, 'https://m.360buyimg.com/mobilecms/s750x750_jfs/t1/211852/28/15135/312413/6235a37fEc6496443/de07faa29ece45ee.jpg', 'String', 'String', '2022-12-08 18:49:29', '2022-12-08 18:49:29', '2022-12-08 18:49:29', '2022-12-09 18:38:54', 0);
INSERT INTO `goods` VALUES (18, 1, 1, '234234', 2, 3, 3, 5, 'https://m.360buyimg.com/mobilecms/s750x750_jfs/t1/211852/28/15135/312413/6235a37fEc6496443/de07faa29ece45ee.jpg', '1', NULL, '2022-11-23 11:27:21', '2032-11-23 11:27:21', '2022-12-08 15:22:56', '2022-12-09 18:31:36', 1);
INSERT INTO `goods` VALUES (19, 1, 1, '百事乐（LEBEST）K50s超薄便宜智能手机', 0, 1, 98, 0, 'https://img12.360buyimg.com/seckillcms/s500x500_jfs/t1/120528/28/29216/31696/6311d119E7138c209/31fa74391e1b5157.jpg', ' 百事乐（LEBEST）K50s超薄便宜智能手机学生价游戏长续航老人老年机大屏百元备用5g移动电信卡远峰蓝128GB 搭载华为HMS服务/长续航待机王/高性价比百元机/简易双系统自由切换/联系客服赠豪礼', NULL, '2022-12-01 08:00:00', '2032-12-01 08:00:00', '2022-12-09 18:35:24', '2022-12-12 15:02:32', 1);
INSERT INTO `goods` VALUES (20, 1, 1, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 0, 1, 92, 0, 'https://img13.360buyimg.com/seckillcms/s500x500_jfs/t1/83390/18/18753/204936/62987fd2Eadb6ae71/32146f3d5e72de4b.jpg', '茅台 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶 整箱装 贵州茅台酒股份有限公司出品 【圣诞节】王茅部分整箱产品赠送泡茶机！！！数量有限，赠完即止，速戳！', NULL, '2022-12-01 08:00:00', '2032-12-01 08:00:00', '2022-12-09 18:36:58', '2022-12-09 18:41:52', 1);
INSERT INTO `goods` VALUES (21, 1, 1, '美的滚筒洗衣机全自动 10公斤大容量 MG100V33WY', 0, 1, 99, 1, 'https://img10.360buyimg.com/seckillcms/s500x500_jfs/t1/198127/33/23104/64170/629754d1Ea57470f1/2486ec2ba5486a48.jpg', '美的（Midea）滚筒洗衣机全自动 10公斤大容量 巴氏除菌洗 健康除螨洗 智能家电 简尚MG100V33WY 以旧换新', NULL, '2022-12-11 08:00:00', '2032-12-11 08:00:00', '2022-12-09 18:38:11', '2022-12-12 14:36:14', 1);

-- ----------------------------
-- Table structure for order_info
-- ----------------------------
DROP TABLE IF EXISTS `order_info`;
CREATE TABLE `order_info`  (
                               `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '订单编号',
                               `gid` bigint(15) NOT NULL COMMENT '商品编号',
                               `order_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单标题',
                               `price` int(10) NOT NULL COMMENT '价格',
                               `count` int(10) NOT NULL COMMENT '购买数量',
                               `uid` int(10) NOT NULL COMMENT '用户编号',
                               `data` json NULL COMMENT '订单数据',
                               `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0),
                               `update_time` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0),
                               `status` tinyint(2) NULL DEFAULT 1 COMMENT '订单状态(0:已删除 1:待确认 2:已取消 3:已完成)',
                               PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '订单表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of order_info
-- ----------------------------
INSERT INTO `order_info` VALUES ('22112817223000001', 2, '轻奢高档女装', 1, 1, 2, NULL, '2022-11-28 17:22:30', '2022-12-09 15:36:06', 3);
INSERT INTO `order_info` VALUES ('22120911400900001', 3, '轻奢高档女装 半身裙2022春秋女韩版中裙', 5, 1, 2, NULL, '2022-12-09 11:40:09', '2022-12-09 15:37:21', 4);
INSERT INTO `order_info` VALUES ('22120918313600001', 18, '234234', 3, 1, 2, NULL, '2022-12-09 18:31:36', NULL, 2);
INSERT INTO `order_info` VALUES ('22120918413000001', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:30', NULL, 2);
INSERT INTO `order_info` VALUES ('22120918413100001', 19, '百事乐（LEBEST）K50s超薄便宜智能手机', 1, 1, 2, NULL, '2022-12-09 18:41:31', NULL, 2);
INSERT INTO `order_info` VALUES ('22120918414900001', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:49', '2022-12-09 20:09:31', 1);
INSERT INTO `order_info` VALUES ('22120918414900002', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:49', '2022-12-09 20:09:31', 1);
INSERT INTO `order_info` VALUES ('22120918415000001', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:50', '2022-12-09 20:09:31', 1);
INSERT INTO `order_info` VALUES ('22120918415000002', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:50', '2022-12-09 20:09:31', 1);
INSERT INTO `order_info` VALUES ('22120918415000003', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:50', '2022-12-09 20:09:31', 1);
INSERT INTO `order_info` VALUES ('22120918415000004', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:50', '2022-12-09 20:09:31', 1);
INSERT INTO `order_info` VALUES ('22120918415200001', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:52', '2022-12-09 20:29:39', 3);
INSERT INTO `order_info` VALUES ('22120918415200002', 20, '茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', 1, 1, 2, NULL, '2022-12-09 18:41:52', '2022-12-09 20:09:31', 1);
INSERT INTO `order_info` VALUES ('22121214361400001', 21, '美的滚筒洗衣机全自动 10公斤大容量 MG100V33WY', 1, 1, 2, NULL, '2022-12-12 14:36:14', '2022-12-12 14:41:21', 2);
INSERT INTO `order_info` VALUES ('22121215023200001', 19, '百事乐（LEBEST）K50s超薄便宜智能手机', 1, 1, 2, NULL, '2022-12-12 15:02:32', '2022-12-12 15:33:25', 3);

-- ----------------------------
-- Table structure for point
-- ----------------------------
DROP TABLE IF EXISTS `point`;
CREATE TABLE `point`
(
    `uid`          int(10)     NOT NULL,
    `total_point`  int(10)     NOT NULL,
    `valid_point`  int(10)     NOT NULL,
    `expire_point` int(10)     NULL DEFAULT 0,
    `expire_time`  datetime(0) NULL DEFAULT NULL,
    `update_time`  datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`uid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '积分表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of point
-- ----------------------------
INSERT INTO `point` VALUES (2, 194, 0, 0, NULL, '2022-11-28 17:21:43');

-- ----------------------------
-- Table structure for point_record
-- ----------------------------
DROP TABLE IF EXISTS `point_record`;
CREATE TABLE `point_record`
(
    `id`                  bigint(15)                                              NOT NULL AUTO_INCREMENT,
    `uid`                 int(10)                                                 NOT NULL,
    `point`               int(10)                                                 NOT NULL,
    `current_total_point` int(10)                                                 NOT NULL,
    `reason`              varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
    `valid_time`          datetime(0)                                             NULL DEFAULT NULL,
    `expire_time`         datetime(0)                                             NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 26 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '积分记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of point_record
-- ----------------------------
INSERT INTO `point_record` VALUES (7, 2, 200, 0, '第一次登录赠送', NULL, NULL);
INSERT INTO `point_record` VALUES (8, 2, -1, 200, '兑换商品 测试商品', NULL, NULL);
INSERT INTO `point_record` VALUES (9, 2, 5, 199, '签到1天，获得积分', NULL, NULL);
INSERT INTO `point_record` VALUES (10, 2, -5, 204, '兑换商品 安徽大米锅巴 非油炸手工柴火原味锅巴 ', NULL, NULL);
INSERT INTO `point_record` VALUES (11, 2, 5, 199, '签到1天，获得积分', NULL, NULL);
INSERT INTO `point_record` VALUES (12, 2, -3, 204, '兑换商品 234234', NULL, NULL);
INSERT INTO `point_record` VALUES (13, 2, -1, 201, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (14, 2, -1, 200, '兑换商品 百事乐（LEBEST）K50s超薄便宜智能手机', NULL, NULL);
INSERT INTO `point_record` VALUES (15, 2, -1, 199, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (16, 2, -1, 198, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (17, 2, -1, 197, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (18, 2, -1, 196, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (19, 2, -1, 195, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (20, 2, -1, 194, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (21, 2, -1, 193, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (22, 2, -1, 192, '兑换商品 茅台迎宾酒 紫迎宾 酱香型白酒 53度 500ml*6瓶', NULL, NULL);
INSERT INTO `point_record` VALUES (23, 2, 5, 191, '签到1天，获得积分', NULL, NULL);
INSERT INTO `point_record` VALUES (24, 2, -1, 196, '兑换商品 美的滚筒洗衣机全自动 10公斤大容量 MG100V33WY', NULL, NULL);
INSERT INTO `point_record` VALUES (25, 2, -1, 195, '兑换商品 百事乐（LEBEST）K50s超薄便宜智能手机', NULL, NULL);

-- ----------------------------
-- Table structure for sign_record
-- ----------------------------
DROP TABLE IF EXISTS `sign_record`;
CREATE TABLE `sign_record`
(
    `id`          bigint(15)                                             NOT NULL AUTO_INCREMENT,
    `uid`         int(10)                                                NOT NULL,
    `point`       int(10)                                                NOT NULL,
    `ip`          varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
    `create_time` datetime(0)                                            NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '打卡记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sign_record
-- ----------------------------
INSERT INTO `sign_record` VALUES (5, 2, 5, NULL, '2022-11-28 17:27:23');
INSERT INTO `sign_record` VALUES (6, 2, 5, NULL, '2022-12-09 18:31:28');
INSERT INTO `sign_record` VALUES (7, 2, 5, NULL, '2022-12-12 14:32:07');

-- ----------------------------
-- Table structure for userinfo
-- ----------------------------
DROP TABLE IF EXISTS `userinfo`;
CREATE TABLE `userinfo`
(
    `id`               int(10)                                                 NOT NULL AUTO_INCREMENT,
    `open_id`          varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL,
    `nickname`         varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci  NOT NULL,
    `head_image`       varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
    `gender`           tinyint(2)                                              NULL DEFAULT -1,
    `province`         varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci   NULL DEFAULT NULL,
    `city`             varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci  NULL DEFAULT NULL,
    `parent_id`        int(10)                                                 NULL DEFAULT 0 COMMENT '推荐人id',
    `first_login_time` datetime(0)                                             NULL DEFAULT CURRENT_TIMESTAMP(0),
    `update_time`      datetime(0)                                             NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0),
    `status`           tinyint(2)                                              NULL DEFAULT 1,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `open_id` (`open_id`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 15
  CHARACTER SET = utf8
  COLLATE = utf8_general_ci COMMENT = '用户表'
  ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of userinfo
-- ----------------------------
INSERT INTO `userinfo` VALUES (1, 'test', '小甜甜', '', -1, '四川', '成都', 0, '2022-11-21 11:09:47', '2022-12-08 08:45:11', 1);
INSERT INTO `userinfo` VALUES (2, 'ociiM1UDZxSZ7YaWZUz8H8NkC_-w', '微信用户1', '', -1, '安哥拉', '未知', 1, '2022-11-28 17:21:43', '2022-12-08 08:52:06', 1);
INSERT INTO `userinfo` VALUES (3, 'a', '小甜甜', '', -1, '四川', '成都', 0, '2022-11-21 11:09:47', '2022-12-08 08:45:11', 1);
INSERT INTO `userinfo` VALUES (4, 'b', '微信用户', 'https://thirdwx.qlogo.cn/mmopen/vi_32/POgEwh4mIHO4nibH0KlMECNjjGxQUq24ZEaGT4poC6icRiccVGKSyXwibcPq4BWmiaIGuG1icwxaQX6grC9VemZoJ8rg/132', -1, '', '', 1, '2022-11-28 17:21:43', '2022-12-08 08:45:42', 1);
INSERT INTO `userinfo` VALUES (5, 'c', '小甜甜', '', -1, '四川', '成都', 0, '2022-11-21 11:09:47', '2022-12-08 08:45:11', 1);
INSERT INTO `userinfo` VALUES (6, 'd', '微信用户', 'https://thirdwx.qlogo.cn/mmopen/vi_32/POgEwh4mIHO4nibH0KlMECNjjGxQUq24ZEaGT4poC6icRiccVGKSyXwibcPq4BWmiaIGuG1icwxaQX6grC9VemZoJ8rg/132', -1, '', '', 1, '2022-11-28 17:21:43', '2022-12-08 08:45:42', 1);
INSERT INTO `userinfo` VALUES (7, 'e', '小甜甜', '', -1, '四川', '成都', 0, '2022-11-21 11:09:47', '2022-12-08 08:45:11', 1);
INSERT INTO `userinfo` VALUES (8, 'f', '微信用户', 'https://thirdwx.qlogo.cn/mmopen/vi_32/POgEwh4mIHO4nibH0KlMECNjjGxQUq24ZEaGT4poC6icRiccVGKSyXwibcPq4BWmiaIGuG1icwxaQX6grC9VemZoJ8rg/132', -1, '', '', 1, '2022-11-28 17:21:43', '2022-12-08 08:45:42', 1);
INSERT INTO `userinfo` VALUES (9, 'g', '小甜甜', '', -1, '四川', '成都', 0, '2022-11-21 11:09:47', '2022-12-08 08:45:11', 1);
INSERT INTO `userinfo` VALUES (10, 'h', '微信用户', 'https://thirdwx.qlogo.cn/mmopen/vi_32/POgEwh4mIHO4nibH0KlMECNjjGxQUq24ZEaGT4poC6icRiccVGKSyXwibcPq4BWmiaIGuG1icwxaQX6grC9VemZoJ8rg/132', -1, '', '', 1, '2022-11-28 17:21:43', '2022-12-08 08:45:42', 1);
INSERT INTO `userinfo` VALUES (11, 'i', '小甜甜', '', -1, '四川', '成都', 0, '2022-11-21 11:09:47', '2022-12-08 08:45:11', 1);
INSERT INTO `userinfo` VALUES (12, 'j', '微信用户', 'https://thirdwx.qlogo.cn/mmopen/vi_32/POgEwh4mIHO4nibH0KlMECNjjGxQUq24ZEaGT4poC6icRiccVGKSyXwibcPq4BWmiaIGuG1icwxaQX6grC9VemZoJ8rg/132', -1, '', '', 1, '2022-11-28 17:21:43', '2022-12-08 08:45:42', 1);
INSERT INTO `userinfo` VALUES (13, 'k', '小甜甜', '', -1, '四川', '成都', 0, '2022-11-21 11:09:47', '2022-12-08 08:45:11', 1);
INSERT INTO `userinfo` VALUES (14, 'l', '微信用户', 'https://thirdwx.qlogo.cn/mmopen/vi_32/POgEwh4mIHO4nibH0KlMECNjjGxQUq24ZEaGT4poC6icRiccVGKSyXwibcPq4BWmiaIGuG1icwxaQX6grC9VemZoJ8rg/132', -1, '', '', 1, '2022-11-28 17:21:43', '2022-12-08 08:45:42', 1);

SET FOREIGN_KEY_CHECKS = 1;
