package me.xiaoyan.point.api;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.StringRedisTemplate;

import javax.annotation.Resource;

@SpringBootTest
class ApiApplicationTests {

    @Resource
    private StringRedisTemplate stringRedisTemplate;
    @Test
    void contextLoads() {
    }
    void testBuy(long buyCount){
        long count = stringRedisTemplate.opsForValue().decrement("a",buyCount);
        System.out.println(count);
        if(count<0){
            System.out.println("库存不足");
            stringRedisTemplate.opsForValue().increment("a",buyCount);
            return;
        }
        if(count == 0){
            System.out.println("下一次就没有存库了");
            return;
        }
        System.out.println("购买成功");
    }

    @Test
    void testRedis(){
        stringRedisTemplate.opsForValue().set("a","1");
        System.out.println("----------第1次----------");
        testBuy(2);
        System.out.println("----------第2次----------");
        testBuy(1);
        System.out.println("----------第3次----------");
        testBuy(1);
    }

}
