package me.xiaoyan.point.api;

import me.xiaoyan.point.api.util.DateUtils;
import org.junit.jupiter.api.Test;
import org.springframework.util.Assert;

import java.util.Date;

public class DateTests {
    @Test
    void testBetween() {
        Date d1 = DateUtils.parse("2022-11-21 12:12:12");
        Date d2 = DateUtils.parse("2022-11-20 11:11:11");
        Date d3 = DateUtils.parse("2022-11-22 11:11:11");
        Assert.isTrue(
                DateUtils.isBetween(d1, d2), "不是相邻的"
        );
        Assert.isTrue(
                !DateUtils.isBetween(d3, d2), "是相邻的"
        );
    }

    @Test
    void testContinuousDays() {
        Date d1 = DateUtils.parse("2022-11-22 12:12:12");
        Date d2 = DateUtils.parse("2022-11-21 11:11:11");
        Date d3 = DateUtils.parse("2022-11-20 11:11:11");
        Date d4 = DateUtils.parse("2022-11-18 11:11:11");
        Date d5 = DateUtils.parse("2022-11-17 11:11:11");
        // 连续天数
        int days = DateUtils.continuousDays(
                new Date[]{d1, d2, d3, d4, d5}
        );
        System.out.println("连续天数" + days);
        Assert.isTrue(days == 3, "连续天数不正确");

    }
}
