import type { AppRouteModule } from '/@/router/types';

import { LAYOUT } from '/@/router/constant';
// import { t } from '/@/hooks/web/useI18n';

const user: AppRouteModule = {
  path: '/goods',
  name: 'Goods',
  component: LAYOUT,
  redirect: '/goods/index',
  meta: {
    hideChildrenInMenu: false,
    icon: 'ant-design:shop-outlined',
    title: '商品管理',
    orderNo: 999,
  },
  children: [
    {
      path: 'index',
      name: 'GoodsIndexPage',
      component: () => import('/@/views/goods/index.vue'),
      meta: {
        title: '商品',
        icon: 'ant-design:shop-outlined',
        hideMenu: false,
      },
    },
  ],
};

export default user;
