import type { AppRouteModule } from '/@/router/types';

import { LAYOUT } from '/@/router/constant';
// import { t } from '/@/hooks/web/useI18n';

const user: AppRouteModule = {
  path: '/user',
  name: 'User',
  component: LAYOUT,
  redirect: '/user/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'ant-design:user-outlined',
    title: '用户管理',
    orderNo: 1000,
  },
  children: [
    {
      path: 'index',
      name: 'UserIndexPage',
      component: () => import('/@/views/user/index.vue'),
      meta: {
        title: '查询用户',
        icon: 'ant-design:user-outlined',
        hideMenu: true,
      },
    },
  ],
};

export default user;
